<nb-card>
    <nb-card-header>Procedimientos</nb-card-header>
    <nb-card-body>
        <div>
            <nb-card-body>
                <div class="container">
                    <div class="row">
                        <div class="nonePadding col-10 col-md-6 col-lg-6 col-xl-6">
                            <span class="margin-t-l mb-1 col-4 text-right nonePadding" id="spanDiagnostico"
                                for="diagnostico">Procedimiento</span>
                            <div class="ng-autocomplete">
                                <ng-autocomplete [data]="procedimientos" [searchKeyword]="keyword" [minQueryLength]=4
                                    #autocomplete placeHolder="Ingrese minimo 4 caracteres"
                                    (selected)='selectEvent($event)' historyIdentifier="procedimientos"
                                    [itemTemplate]="itemTemplate" [notFoundTemplate]="notFoundTemplate"
                                    style="width: 50%;">
                                </ng-autocomplete>

                                <ng-template #itemTemplate let-item>
                                    <a [innerHTML]="item.name"></a>
                                </ng-template>

                                <ng-template #notFoundTemplate let-notFound>
                                    <div [innerHTML]="notFound"></div>
                                </ng-template>
                            </div>
                        </div>
                        <div class="nonePadding col-10 col-md-3 col-lg-3 col-xl-3">
                            <span class="nonePadding ml-3 col-12 text-right">&Aacute;mbito</span>
                            <nb-select [(selected)]="ambitoSeleccionado" class="nonePadding ml-3 mb-3 col-12"
                                placeholder="Seleccione">
                                <nb-option *ngFor="let ambito of ambitos" [value]="ambito">
                                    {{ ambito.nombre }}
                                </nb-option>
                            </nb-select>
                        </div>
                        <div class="nonePadding col-10 col-md-3 col-lg-3 col-xl-3">
                            <span class="nonePadding ml-3 col-12 text-right">Especialidad</span>
                            <nb-select [(selected)]="especialidadSeleccionada" class="nonePadding ml-3 mb-3 col-12"
                                placeholder="Seleccione">
                                <nb-option *ngFor="let especialidad of especialidades" [value]="especialidad">
                                    {{ especialidad.nombre }}
                                </nb-option>
                            </nb-select>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col align-self-start">
                        <span class="nonePadding ml-2 col-12 text-right">Rol de especialidad</span>
                        <nb-checkbox [(ngModel)]="isPreescriptor" status="success" class="nonePadding ml-2 mb-2 col-12">
                            Prescriptor</nb-checkbox>
                        <nb-checkbox [(ngModel)]="isEfector" status="success" class="nonePadding ml-2 mb-2 col-12">
                            Efector</nb-checkbox>
                    </div>
                    <div class="nonePadding col-10 col-md-2 col-lg-2 col-xl-2">
                        <span class="nonePadding ml-2 col-12 text-right">Cantidad</span>
                        <input type="text" nbInput id="cantidad" fullWidth class="form-control  ml-2 mb-2 col-12"
                            placeholder="Ingrese la cantidad" aria-describedby="spanCantidad"
                            [(ngModel)]="cantidadSeleccionada">
                    </div>
                    <div class="nonePadding col-10 col-md-2 col-lg-2 col-xl-2">
                        <span class="nonePadding ml-2 col-12 text-right">Periodo</span>
                        <input type="text" nbInput id="periodo" fullWidth class="form-control  ml-2 mb-2 col-12"
                            placeholder="Cant. días/meses/años" aria-describedby="spanPeriodo"
                            [(ngModel)]="periodoSeleccionado">
                    </div>
                    <div class="nonePadding col-10 col-md-2 col-lg-2 col-xl-2">
                        <br>
                        <nb-select [(selected)]="unidadTiempoSeleccionado" class="nonePadding ml-2 mb-2 col-12"
                            placeholder="Seleccione">
                            <nb-option *ngFor="let unidadTiempo of unidadesTiempo" [value]="unidadTiempo">
                                {{ unidadTiempo.nombre }}
                            </nb-option>
                        </nb-select>
                    </div>
                    <div class="col align-self-end">
                        <span class="nonePadding ml-3 col-12 text-right">Requerido para reempadronamiento</span>
                        <nb-radio-group [(ngModel)]="isReempadronamiento" class="nonePadding ml-3 mb-3 col-12">
                            <nb-radio value="true">Si</nb-radio>
                            <nb-radio value="false">No</nb-radio>
                        </nb-radio-group>
                    </div>
                </div>
                <div class="row">
                    <div class="col-10"></div>
                    <button nbButton type="button" (click)="agregarProcedimientos()">Agregar</button>
                </div>
            </nb-card-body>
        </div>
        <div>
            <nb-card-header>Procedimientos agregados</nb-card-header>
            <div class="col-md-12" style="overflow-x: scroll;">
                <div class="smart-table-container" style="width: 2000px;">
                    <ng2-smart-table [settings]="settings" [source]="source"></ng2-smart-table>
                </div>
            </div>
        </div>
    </nb-card-body>